Status: Resolved Start date: 01/17/2020

Priority: Normal Due date:  

Assignee: Renato Botelho % Done: 100%

Category: IPsec Estimated time: 0.00 hour

Target version: 2.4.5-p1   

Plus Target Version:  Affected Version: 2.4.4-p3

Release Notes: Default Affected

Architecture:

 

Description

If you have assigned VTI interface and try to disable P2 entry, you will get:

Cannot disable a VTI Phase 2 while the interface is assigned. Remove the interface assignment befo

re disabling this P2.

 ok, after removing the VTI interface assignment you can disable this Phase 2 entry

But if you try to disable this Phase 1 entry, you will get:

Cannot disable a Phase 1 with a child Phase 2 while the interface is assigned. Remove the interfac

e assignment before disabling this P2.

 But P2 entry is disabled!

But, for example, if you switch P2 to tunnel mode, you can successfully disable P1

Associated revisions

Revision 903826b5 - 01/17/2020 02:03 PM - Viktor Gurov

allow to disable IPsec P1 when P2 is disabled VTI. Issue #10190

Revision bcab8a67 - 05/04/2020 06:36 PM - Viktor Gurov

allow to disable IPsec P1 when P2 is disabled VTI. Issue #10190

(cherry picked from commit 903826b5b231e371fe934e7ecde2d4f7b6e1be2d)

History

#1 - 01/17/2020 07:16 AM - Viktor Gurov

https://github.com/pfsense/pfsense/pull/4166

#2 - 01/17/2020 07:49 AM - Jim Pingle

- Status changed from New to Pull Request Review

- Target version set to 2.5.0

#3 - 01/17/2020 09:11 AM - Renato Botelho

- Status changed from Pull Request Review to Feedback

- Assignee set to Renato Botelho

- % Done changed from 0 to 100

PR has been merged. Thanks!

#4 - 01/20/2020 11:53 PM - Viktor Gurov
https://github.com/pfsense/pfsense/pull/4166


- Status changed from Feedback to Resolved

Renato Botelho wrote:

PR has been merged. Thanks!

 tested on 2.5.0.a.20200119.2335

works as expected

#5 - 05/04/2020 01:36 PM - Jim Pingle

- Target version changed from 2.5.0 to 2.4.5-p1

#6 - 04/08/2021 02:06 PM - Marcos M

This fixes the issue where a P1 can't be disabled if it has an inactive P2 in VTI mode.

An issue remains if the P2 is active/enabled and one tries to disable the P1. See #11792
https://redmine.pfsense.org/issues/11792
